# Configuration.EmailNotify
Date: 2022-09-21

sailpoint.object

## Enum Configuration.EmailNotify

- java.lang.Object
- - java.lang.Enum<Configuration.EmailNotify>
  - - sailpoint.object.Configuration.EmailNotify

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Configuration.EmailNotify>

Enclosing interface:
  Configuration

    public static enum Configuration.EmailNotify
    extends java.lang.Enum<Configuration.EmailNotify>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Always`
`Disabled`
`Failure`
`Warning`

### Method Summary

All Methods Static Methods Concrete Methods
`static Configuration.EmailNotify` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Configuration.EmailNotify[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Disabled

    public static final Configuration.EmailNotify Disabled

#### Warning

    public static final Configuration.EmailNotify Warning

#### Failure

    public static final Configuration.EmailNotify Failure

#### Always

    public static final Configuration.EmailNotify Always

### Method Detail

#### values

    public static Configuration.EmailNotify[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Configuration.EmailNotify c : Configuration.EmailNotify.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Configuration.EmailNotify valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null